XRACER-TOOLS(1)

NAME
xracer-mkmeshnotex — XRacer texture coordinates maker

SYNOPSIS

xracer-mkmeshnotex [--outputc OUTPUTFILE] --texture TEXTURE [--texscale TEXSCALE] [--rottexture ROTATION] [--cprefix CPREFIX] [--verbose] [INPUTFILE]

DESCRIPTION

This manual page documents briefly the xracer-mkmeshnotex command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

xracer-mkmeshnotex is a perl script that exports meshes with texture coordinates to Blender. This script takes a simple VideoScape-format mesh file INPUTFILE, adds textures coordinates TEXTURE to it using a very simple algorithm, and generates C source file OUTPUTFILE that contains code suitable to be a scenery object to your track in the game XRacer.

OPTIONS

--outputc OUTPUTFILE
    the C file to write

--texture  TEXTURE
    the texture to use

--texscale  TEXSCALE
    the texture scale factor (default: 1.0)

--rottexture  ROTATION
    the amount to rotate the texture (in degrees - currently only 0, 90, 180, 270 are supported)

--cprefix  CPREFIX
    the name to use before all C identifiers

--verbose
    verbose output

SEE ALSO

xracer (6), XRacer::BVRML (3pm)

AUTHOR

This manual page was written by Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.